<!DOCTYPE html>
<!-- The DOCTYPE declaration defines the output type -->
<!-- In this case, it indicates that the document is written in HTML5. -->

<html>
    <!-- The <html> element is the root element of an HTML page. -->
    <!-- All other elements must be nested within this element. -->
    <!-- It marks the beginning of the HTML document. -->

    <head>
        <!-- A separate FTL file will need to be created containing the HTML style elements -->
        <#include "example_html_stylesheet.ftl">
        <#-----------------------------------------------------------
        -------------------------------------------------------------
        The stylesheet will add styling to the following elements
        *.cover-page
        *.title
        *.subtitle
        *.table-style1
        --------------------------------------------------------------
        ------------------------------------------------------------->
    </head>

    <body>
        <!-- The body section contains the actual content of the HTML document and displayed in docx. -->
        
        <#-- cover page class *.cover-page -->
        <div class="cover-page">

            <#-- title on cover page -->
            <div class="title">Cover page title</div>

            <#-- subtitle -->
            <div class="subtitle">Cover page sub title</div>     
           
        </div>

        <#-- Heading 1 -->
        <h1 class="Heading1">Heading 1</h1>

                <#-- Use Freemarker to get any IUCLID structure value -->
                Substance name: ${entity.root.name}

            <#-- Heading 1.2 -->     
            <h2 class="Heading2">Heading 1.2</h2>

            <!-- start using Freemarker to populate table with IUCLID information -->
            <#assign compositionList = iuclid.getSectionDocumentsForParentKey(entity.root.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
            <#if compositionList?has_content>

                <!-- Start of table -->
                <table class="table-style1">
                
                <!-- The colgroup element is used to group one or more col elements within a table. -->
                <colgroup>
                    <!-- Two columns with equal width -->
                    <col width="50%" />
                    <col width="50%" />
                </colgroup>

                <!-- header of the table -->
                <thead>
                    <tr>
                        <th><b>Index of composition</b></th>
                        <th><b>Composition name</b></th>
                    </tr>
                </thead>

                <!-- body of table containing table rows and table cells -->
                <tbody>

                <!-- list all the composition documents that can be found in Substance -->
                <#list compositionList as composition>
                    <tr>
                        <!-- This will start at 1 and add 1 with every new composition document -->
                        <td>${composition?index + 1}</td>
                        <!-- The name field of the composition document -->
                        <td>${composition.GeneralInformation.Name}</td>
                    </tr>
                </#list>
                </tbody>
            </table>      

        </#if>  

        <#-- Heading 2 -->     
        <h1 class="Heading1">Heading 2</h1>

    </body>

</html>
