<!DOCTYPE html>
<!-- The DOCTYPE declaration defines the output type -->
<!-- In this case, it indicates that the document is written in HTML5. -->

<html>
    <!-- The <html> element is the root element of an HTML page. -->
    <!-- All other elements must be nested within this element. -->
    <!-- It marks the beginning of the HTML document. -->

    <head>
        <!-- A separate FTL file will need to be created containing the HTML style elements -->
        <#include "example_html_stylesheet.ftl">
        <#-----------------------------------------------------------
        -------------------------------------------------------------
        The stylesheet will add styling to the following elements
        *.cover-page
        *.title
        *.subtitle
        *.table-style1
        --------------------------------------------------------------
        ------------------------------------------------------------->
    </head>

    <body>
        <!-- The body section contains the actual content of the HTML document and displayed in docx. -->
        
        <#-- cover page class *.cover-page -->
        <div class="cover-page">

            <#-- title on cover page -->
            <div class="title">Cover page title</div>

            <#-- subtitle -->
            <div class="subtitle">Cover page sub title</div>     
           
        </div>

        <#-- Heading 1 -->
        <h1 class="Heading1">Heading 1</h1>

                <#-- Use Freemarker to get any IUCLID structure value -->
                Substance name: ${entity.root.name}

            <#-- Heading 1.2 -->     
            <h2 class="Heading2">Heading 1.2</h2>

                <!-- Start of table -->
                <table class="table-style1">
                
                <!-- The colgroup element is used to group one or more col elements within a table. -->
                <colgroup>
                    <!-- Three columns with equal width -->
                    <col width="33.3%" />
                    <col width="33.3%" />
                    <col width="33.3%" />
                </colgroup>

                <!-- header of the table -->
                <thead>
                    <tr>
                        <th><b>Count number of Entities</b></th>
                        <th><b>Entity type</b></th>
                        <th><b>Entity names</b></th>
                    </tr>
                </thead>

                <!-- body of table containing table rows and table cells -->
                <tbody>

                <#--------------------------------------------------------------------
                ----------------------------------------------------------------------
                *list all the entities of a dossier or dataset
                *dossier.components can be used from anywhere in the main body 
                *with *component you can then get further information about the entity
                ---------------------------------------------------------------------- 
                ---------------------------------------------------------------------->
                <#list dossier.components as component>
                    <tr>
                        <!-- This will start at 1 and add 1 with every new entity found -->
                        <td>${component?index + 1}</td>
                        <!-- The entity name identifier -->
                        <td>${component?node_name}</td>
                        <!-- The name of the entity as displayed in the navigation tree -->
                        <td>${component.name}</td>
                    </tr>
                </#list>
                </tbody>
            </table>      


        <#-- Heading 2 -->     
        <h1 class="Heading1">Heading 2</h1>

    </body>

</html>
