<style>
    /* CSS RESET */
    /* Use a more-intuitive box-sizing model and remove default margin */
    * {
        box-sizing: border-box;
        margin: 0;
        padding: 0;
    }
    
    /* Style body */
    body {
        line-height: 1.5;
    }

    /* Avoid text overflows */
    p, h1, h2, h3, h4, h5, h6 {
        overflow-wrap: break-word;
    }
    
    /* TABLE STYLING */
    /* General style */
    table {
        border: 1px solid black;
        width: 100%;
        border-collapse: collapse;
    }

    table thead th {
        background-color: #3f87a6;
        color: black;
    }
    
    th {
        border: 1px solid black;
        text-align: center;
        vertical-align: center;
    }

    td {
        border: 1px solid black;
        vertical-align: center;
    }

    table caption {
        font-size: 12pt;
        font-weight: bold;
    }

    /* Style for the first table */
    .table-style1 {
        border-collapse: collapse;
        width: 100%;
    }

    .table-style1, .table-style1 th, .table-style1 td {
        border: 1px solid black;
    }

    /* Styles for print (e.g., Word document) */
    @media print {
        body {
            font-family: 'Times New Roman', serif;
        }

        table {
            page-break-inside: avoid;
        }

        /* Specific styles for print */
        .screen-content {
            display: none;
        }
    }

    /* Styles for screens */
    @media screen {
        .print-content {
            display: none;
        }
    }

    /* Define styles for the title */
    .document-title {
        font-size: 24px;
        font-weight: bold;
        text-align: center;
        margin-bottom: 20px;
    }

    /* Define styles for the cover page */
    .cover-page {
        text-align: center;
        margin-top: 100px;
    }

    .title {
        font-size: 36px;
        font-weight: bold;
        margin-bottom: 20px;
    }

    .subtitle {
        font-size: 24px;
        margin-bottom: 50px;
    }

    .coverPageItems {
        font-size: 18px;
    }
</style>